const types = require('babel-types');
module.exports = {
    visitor: {
        ImportDeclaration(path, ref = {}) {
            let { opts } = ref;
            let node = path.node;
            let specifiers = node.specifiers;
            if (opts.libraryName == node.source.value && !types.isImportDeclaration(specifiers[0])) {
                let libraryDirectory = (opts.libraryDirectory || '').split('/').filter((v) => v).join('/');
                if (libraryDirectory) {
                    libraryDirectory += '/';
                }
                let newImport = specifiers.map((specifier) => {
                    return types.importDeclaration(
                        [types.ImportDefaultSpecifier(specifier.local)],
                        types.stringLiteral(`${node.source.value}/${libraryDirectory}${specifier.local.name}`)
                    );
                });
                path.replaceWithMultiple(newImport);
            }
        }
    }
};

